API Submissions

List All API Submissions

get

Returns a list of your API submissions. Note that impact.com does not recommend using this endpoint due to typically large response sizes and long call times.

Path parameters
AccountSIDstringRequired
Responses
200

A paginated list of API submission objects.

application/json
get
/Advertisers/{AccountSID}/APISubmissions
200

A paginated list of API submission objects.

Get API Submission Details

get

Retrieves information about a specific record that was submitted via the API, including its processing status and any errors.

Path parameters
AccountSIDstringRequired
BatchIdstringRequired

The unique batch ID of the API submission.

Responses
200

A single API submission object.

application/json
BatchIdstringOptional

Id of the API submission.

Example: A-b1234c56-7d89-0e12-3f4g-5h6ij7k8901l
AccountIdintegerOptional

Id of the brand account that submitted the API submission.

Example: 10001
SubmissionDatestring · date-timeOptional

Date and time the API submission was submitted (ISO 8601).

Example: 2020-09-10T09:50:12-07:00
CampaignIdintegerOptional

Id of the program (formerly known as campaign) to which the record was submitted.

Example: 1000
ActionTrackerIdintegerOptional

Id of the action tracker (event type) the record applies to.

Example: 4000
MediaPartnerIdintegerOptional

Id of the partner (formerly known as media partner) that drove the record submitted via API.

Example: 10000
EventCodestringOptional

Configurable string code identifying the event type, if used instead of EventTypeId.

Example: ACME_SALE
OrderIdstring · nullableOptional

If the record submitted is a conversion, this is the unique Id associated with that conversion.

Example: 1234567890123
PayloadstringOptional

Information about the tracking data itself that was submitted to impact.com via an API call.

Example: CampaignId=1000&EventTypeId=4000&EventDate=2024-08-01T23:55:24-08:00&OrderId=1234567890123&ClickId=SKhRQaSXwxyOUQ%253AwUx0Mo36FUkiXxtxVUQTEzY0&CustomerId=BCZ2WVSH674563PDPYOTM3AXDQ&OrderPromoCode=10OFF-FORGE&CustomerStatus=NEW&CustomerPostCode=93107&CurrencyCode=USD&OrderDiscount=5&IpAddress=12.345.678.90&ItemSku1=12345&ItemName1=Anvil&ItemCategory1=Anvils&ItemQuantity1=2&ItemPrice1=10&ItemSku2=55555&ItemName2=Hammer&ItemCategory2=Hammers&ItemQuantity2=1&ItemPrice2=6.99
Typestring · enumOptional

Type of record submitted.

Example: ConversionPossible values:
Statusstring · enumOptional

Status of the API submission. Will always begin as Queued .

Example: CompletePossible values:
CompletionDatestring · date-time · nullableOptional

Date and time that the submission finished processing. Will be empty if the submission is not finished processing. See ISO 8601 .

Example: 2020-09-10T10:11:15-07:00
ErrorTypestring · nullableOptional

Errors encountered during the submission process. Will be empty if no errors were encountered. Some common values are listed below.

Example: Contract Error
ErrorReasonstring · nullableOptional

List of error explanations to help describe the ErrorType .

Example: CONTRACT_NOT_FOUND RESTRICTED_PROMOCODE
Uristring · uri-referenceOptional

API submission's direct URI to view only one specific API submission.

Example: /Advertisers/<AccountSID>/APISubmissions/A-f6675c69-4a69-4c04-8a1d-3f2eb7a6754e
get
/Advertisers/{AccountSID}/APISubmissions/{BatchId}
200

A single API submission object.

Last updated